NDBINFO_SELECT_AL(1)

NAME
ndbinfo_select_all - select from ndbinfo tables

SYNOPSIS

ndbinfo_select_all options

DESCRIPTION

ndbinfo_select_all is a client program that selects all rows and columns from one or more tables in the ndbinfo database. It is included with the MySQL Cluster distribution beginning with MySQL Cluster NDB 7.1.17.

Not all ndbinfo tables can be accessed by this program. ndbinfo_select_all can access the counters, diskpagebuffer, logbuffers, logspaces, nodes, resources, threadblocks, threadstat, and transporters tables.

To select from one or more ndbinfo tables using ndbinfo_select_all, it is necessary to supply the names of the tables when invoking the program as shown here:

    shell> ndbinfo_select_all table_name1  [table_name2] [...]

For example:

    shell> ndbinfo_select_all logbuffers logspaces
    == logbuffers ==
    node_id log_type        log_id  log_part        total   used    high
    5       0       0       0       33554432        262144  0
    6       0       0       0       33554432        262144  0
    7       0       0       0       33554432        262144  0
    8       0       0       0       33554432        262144  0
    == logspaces ==
    node_id log_type        log_id  log_part        total   used    high
    5       0       0       0       268435456       0       0
    5       0       0       1       268435456       0       0
    5       0       0       2       268435456       0       0
    5       0       0       3       268435456       0       0
    6       0       0       0       268435456       0       0
    6       0       0       1       268435456       0       0
    6       0       0       2       268435456       0       0
    6       0       0       3       268435456       0       0
    7       0       0       0       268435456       0       0
    7       0       0       1       268435456       0       0
    7       0       0       2       268435456       0       0
    7       0       0       3       268435456       0       0
    8       0       0       0       268435456       0       0
    8       0       0       1       268435456       0       0
    8       0       0       2       268435456       0       0
    8       0       0       3       268435456       0       0
    shell>

The following table includes options that are specific to ndbinfo_select_all. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndbinfo_select_all), see Options Common to MySQL Cluster Programs(1).

Table 17.11. ndbinfo_select_all Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--delay=# | Set the delay in seconds between loops. Default is 5. | All MySQL 5.1 based releases
--loops=#, -l | Set the number of times to perform the select. Default is 1. | All MySQL 5.1 based releases
--database=db_name, -d | Name of the database where the table located. | All MySQL 5.1 based releases
--parallelism=#, -p | Set the degree of parallelism. | All MySQL 5.1 based releases

    • --delay=seconds
    Command-Line Format | --delay=#
     | Permitted Values
     | Type | numeric
     | Default | 5
     | Range | 0 .. MAX_INT

    This option sets the number of seconds to wait between executing loops. Has no effect if --loops is set to 0 or 1.

    • --loops=number, -l number
    Command-Line Format | --loops=#
     | -l
     | Permitted Values
     | Type | numeric
     | Default | 1
     | Range | 0 .. MAX_INT

    This option sets the number of times to execute the select. Use --delay to set the time between loops.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).